Subject: Re: bug#1305: All code that currently beeps should use visual bellinstead

From: "Jason Spiro" <[email-masked]>
Date: Mon, 17 Nov 2008 02:37:59 -0500

2008/11/17 Tim Connors <[email-masked]> wrote:
> [...]
> [...] I've lost count of the number of times I've
> gone more than once around a buffer doing an isearch, because I failed to
> hear the non-existant beep telling me I had already gone around once.  A
> simple visual notification in the status area is not enough, because
> almost by definition the entire screen is changing every isearch anyway,
> so a few extra words saying "failing i-search" doesn't get noticed.

Firefox's incremental search feature does it much better than Emacs.
When an incremental search is failing, it doesn't just add the word
"Failing" onscreen.  It also changes the search text entry field to
have a bright red background.  This attracts the eye to see that the
search is failing.  Should I file a bug to request that Emacs do the
same?